<template>
  <!-- 火运计费详单页面 -->
  <div class="purchaseOrder">
    <page-title>火运详单</page-title>
    <div class="top">
      <el-input
        placeholder="请输入内容"
        v-model="input"
        clearable>
      </el-input>
      <el-button type="primary" class="btn" @click="onclick">
        <i class="el-icon-search"></i>查询
      </el-button>
      <el-button type="primary" @click="btnclick">
        新增
      </el-button>
    </div>
    <dilTable v-bind.sync="option" @radio-change="currentRadioChange">
    </dilTable>
  </div>
</template>

<script>
import PageTitle from "@/components/Page/Title";
export default {
  components: { PageTitle },
  name: "purchaseOrder",
  data() {
    return {
      input:"",
      map:{},
      option: {
        // 表格请求数据的地址
        requestUrl: "/api/v1/bms/getTrainResultList?apiId=122",
        // 控制显示当选列
        selectionType: "radio",
      },
    };
  },
  methods: {
    currentRadioChange(row) {
      this.map=row
      console.log(row);
    },
    onclick() {
      console.log(1);
    },
    btnclick() {
      console.log()
      if(JSON.stringify(this.map).length == 2){
        this.$message.error("未勾选火运实绩")
        return
      }
      this.$confirm("是否生成", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
        center: true,
      })
        .then(() => {
          this.$message({
            type: "success",
            message: "生成详单成功!",
          });
      this.axios.post("/api/v1/bms/addTrainDetails",this.map)
                  .then(() => {
              this.$router.go(-1);
            });
        })
        .catch(() => {
          this.$message({
            type: "info",
            message: "取消生成!",
          });
        });
      // this.$router.push("/path/addHomeworkPath/");
    },
  },
};
</script>
<style lang='scss' scoped>
.purchaseOrder {
  .top {
    padding: 1.25rem 1.875rem;
    .el-input {
      width: 250px;
    }
  }
}
</style>